Do i = 1 to Values._
 Values = A.Values

 Value = Values.i
 Anchor = Value.Anchor
 Size = Value.Size

 X = Anchor.X
 Y = Anchor.Y
 W = Size.Width
 H = Size.Height

 Width = Picture.Width
 Height = Picture.Height

 Let X >= 1 &&
     Y >= 1 &&
     X + W <= Width &&
     Y + H <= Height, ERR_PLACEMENT
;